tbb::internal::allocator_rebind< Alloc, T > Struct Template Reference

`#include <_allocator_traits.h>`

Inheritance diagram for tbb::internal::allocator_rebind< Alloc, T >:
Collaboration diagram for tbb::internal::allocator_rebind< Alloc, T >:

## Public Types

typedef allocator_traits< Alloc >::template rebind_alloc< T >::other | type

## Detailed Description

### template<typename Alloc, typename T>
struct tbb::internal::allocator_rebind< Alloc, T >

C++03/C++11 compliant rebind helper, even if no std::allocator_traits available or rebind is not defined for allocator type

Definition at line 145 of file _allocator_traits.h.

## Member Typedef Documentation

## type

template<typename Alloc, typename T>

typedef allocator_traits<Alloc>::template rebind_alloc<T>::other tbb::internal::allocator_rebind< Alloc, T >::type

Definition at line 149 of file _allocator_traits.h.

The documentation for this struct was generated from the following file:

- _allocator_traits.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.